Rest interface to start/cleanup and run the cord tester test cases from webserver.
Sample test-tls curl to start tls test case.

To test, first install the flask with:
sudo pip install -r flask-requirements.txt
Then start webserver:
nohup ./webserver-run.py >/tmp/webserver-output.txt 2>&1 &
Then run the tls test case with the config and manifest as in:
./webserver-test-tls.curl
And monitor the output in /tmp/webserver-output.txt for the test.

Change-Id: I7d6cf121718664eb3f0ea0fedf71d91e6a17fdf9
diff --git a/src/test/setup/webserver-test-tls.curl b/src/test/setup/webserver-test-tls.curl
new file mode 100755
index 0000000..7cace25
--- /dev/null
+++ b/src/test/setup/webserver-test-tls.curl
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+# example cord webserver post request to run tls test case
+
+cat > /tmp/testrun.json <<EOF
+{
+    "manifest" : "manifest.json",
+    "test" : "tls:eap_auth_exchange.test_eap_tls",
+    "config" : {
+        "VOLTHA_HOST" : "172.17.0.1",
+        "VOLTHA_REST_PORT" : 8881,
+        "VOLTHA_OLT_TYPE" : "ponsim_olt",
+        "VOLTHA_OLT_MAC" : "00:0c:e2:31:10:00"
+    }
+}
+EOF
+status=`curl -s -w "%{http_code}" -o /dev/null -H "Content-Type: application/json" -X POST -d '{ "manifest" : "manifest.json" }' http://localhost:5000/start`
+if [ $status -ne 200 ]; then
+  echo "Test setup failed with status code $status"
+  exit 1
+fi
+status=`curl -s -w "%{http_code}" -o /dev/null -H "Content-Type: application/json" -X POST -d @/tmp/testrun.json http://localhost:5000/test`
+if [ $status -ne 200 ]; then
+  echo "Test run failed with status code $status"
+  exit 1
+fi
+status=`curl -s -w "%{http_code}" -o /dev/null -H "Content-Type: application/json" -X POST -d '{ "manifest" : "manifest.json" }' http://localhost:5000/cleanup`
+if [ $status -ne 200 ]; then
+  echo "Test cleanup failed with status code $status"
+fi
+rm -f /tmp/testrun.json
+echo "Test successful"
\ No newline at end of file